/*
 * tut2.c -- SDL-Tutorial, 2. Kapitel
 * NO Copyright (c) by Nicolai 'Prefect' Haehnle
 *
 * Diese Software ist Public Domain.
 */

#include <stdlib.h>
#include <stdio.h>

#include <SDL.h>


#ifdef _WIN32
#undef main
#endif
int main()
{
	SDL_Surface *screen, *bitmap;
	int running;

/* SDL initialisieren */
	if (SDL_Init(SDL_INIT_VIDEO) < 0) {
		fprintf(stderr, "SDL konnte nicht initialisiert werden: %s\n",
			SDL_GetError());
		exit(1);
	}
	atexit(SDL_Quit);

/* Bildschirmmodus setzen */
 	screen = SDL_SetVideoMode(640, 480, 0, 0);
	if (!screen) {
		fprintf(stderr, "Konnte Bildschirmmodus nicht setzen: %s\n",
			SDL_GetError());
		exit(1);
	}

/* Bitmap laden */
	bitmap = SDL_LoadBMP("galaxien.bmp");
	if (!bitmap) {
		fprintf(stderr, "Bitmap konnte nicht geladen werden: %s\n",
			SDL_GetError());
		exit(1);
	}

/* Bitmap auf den Bildschirm blitten */
	SDL_BlitSurface(bitmap, 0, screen, 0);

/* Die nderung mssen wirksam gemacht werden */
	SDL_UpdateRect(screen, 0, 0, 0, 0);

/* Programmschleife */
	running = 1;
	while(running) {
		SDL_Event event;

		while(SDL_PollEvent(&event)) {
			switch(event.type) {
			case SDL_KEYDOWN:
				running = 0;
				break;
			case SDL_QUIT:
				running = 0;
				break;
			}
		}
	}

/* bitmap mu freigegeben werden */
	SDL_FreeSurface(bitmap);

        return 0;
}
